Search for Calls

Use the Search for Calls endpoint to find calls that your team has made or received using the Apollo dialer.

This endpoint requires a master API key. If you attempt to call the endpoint without a master key, you will receive a 403 response. Refer to Create API Keys to learn how to create a master API key.

Query Params
date

Set the upper bound of the date range you want to search.

Use this parameter in combination with the date_range[min] parameter. This date should fall after the date_range[min] date.

The date should be formatted as YYYY-MM-DD.

Example: 2025-06-12

date

Set the lower bound of the date range you want to search.

Use this parameter in combination with the date_range[max] parameter. This date should fall before the date_range[max] date.

The date should be formatted as YYYY-MM-DD.

Example: 2025-04-01

integer

Set the upper bound for the call duration you want to search. The duration should be seconds, not minutes or hours.

Use this parameter in combination with the duration[min] parameter. This number should be larger than duration[min].

Example: 180

integer

Set the lower bound for the call duration you want to search. The duration should be seconds, not minutes or hours.

Use this parameter in combination with the duration[max] parameter. This number should be smallerr than duration[min].

Example: 30

string

Search for calls based on whether they were incoming (the prospect called your team) or outgoing (your team called the prospect).

user_ids[]
array of strings

Find calls that included specific users in your team's Apollo account. You can add multiple users.

Use the Get a List of Users endpoint to retrieve IDs for all of the users within your Apollo account.

Example: 67e33d527de088000daa60c4

user_ids[]
contact_label_ids[]
array of strings

Find calls that included specific contacts. You can add multiple contacts.

In Apollo terminology, a contact is a person that your team has explicitly added to your database.

Use the Get a List of Users endpoint to retrieve IDs for all of the users within your Apollo account.

Example: 67e33d527de088000daa60c4 6708415f59d9c70001b2f852

contact_label_ids[]
phone_call_purpose_ids[]
array of strings

Filter calls based on their purpose.

Call purposes are unique to your team's Apollo account. When you use the Purpose search filter for calls in the Apollo product, you can find the corresponding call purpose ID in the URL.

Example: 6095a710bd01d100a506d4cf

phone_call_purpose_ids[]
phone_call_outcome_ids[]
array of strings

Filter calls based on their outcome.

Call outcomes are unique to your team's Apollo account. When you use the Disposition search filter for calls in the Apollo product, you can find the corresponding call outcome ID in the URL.

Example: 6095a710bd01d100a506d4c5

phone_call_outcome_ids[]
string

Add keywords to narrow the search of the calls in your team's Apollo account.

Example: marketing conference attendees

string

The page number of the Apollo data that you want to retrieve.

Use this parameter in combination with the per_page parameter to make search results for navigable and improve the performance of the endpoint.

Example: 4

string

The number of search results that should be returned for each page. Limiting the number of results per page improves the endpoint's performance.

Use the page parameter to search the different pages of data.

Example: 10

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain